summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /www-client/qupzilla
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'www-client/qupzilla')
-rw-r--r--www-client/qupzilla/Manifest2
-rw-r--r--www-client/qupzilla/files/qtsingleapplication-QDataStream.patch10
-rw-r--r--www-client/qupzilla/metadata.xml14
-rw-r--r--www-client/qupzilla/qupzilla-1.8.6-r1.ebuild104
-rw-r--r--www-client/qupzilla/qupzilla-1.8.6.ebuild101
5 files changed, 231 insertions, 0 deletions
diff --git a/www-client/qupzilla/Manifest b/www-client/qupzilla/Manifest
new file mode 100644
index 00000000000..b51ed9ad194
--- /dev/null
+++ b/www-client/qupzilla/Manifest
@@ -0,0 +1,2 @@
+DIST QupZilla-1.8.6.tar.xz 3205912 SHA256 aecda29f8994c9dc4d6b5f76ce5b1ba947272a0d5a40b5d83a54023dd5d7a6a5 SHA512 36f1c79b7932b76f3ecbc4d1ea1bb207fe7e0477a98d583e13ab7df1703a5529e2d599c42b8f0a6792692c09e257abfdec398a1537a9002c1fd98d2128f4b627 WHIRLPOOL e60f66749654bd135fa2552ed2d75095c00108be6992b5d0e1609d7b458690218e601af317b3219f6e106e19870e46207109659e8aa9182117532bda7481f8e3
+DIST qupzilla-plugins-2015.01.27.tar.gz 335585 SHA256 466d2cc4a0b904705e2d23b6c05be6d36c74065f81b24aa9b82be0e377960e55 SHA512 0354b96530eca72d27838acfcd6605c0a14095f741587b89d1d4292e57bebe54d17e49464dc0a41af99873031c69ef09120c07053452568caf16dca222f1371b WHIRLPOOL a849f120f7f7a9e4dae6fa9abb2d3a66295a4778101887e99248f1ebd46e9231481f99f1d8fd9478e12f5cedbc5be055948ebe026d504d6b5d2d362ee222ba49
diff --git a/www-client/qupzilla/files/qtsingleapplication-QDataStream.patch b/www-client/qupzilla/files/qtsingleapplication-QDataStream.patch
new file mode 100644
index 00000000000..25694afcc9a
--- /dev/null
+++ b/www-client/qupzilla/files/qtsingleapplication-QDataStream.patch
@@ -0,0 +1,10 @@
+--- src/lib/3rdparty/qtsingleapplication/qtlocalpeer.cpp.ORIG 2015-05-07 18:29:35.045402873 +0200
++++ src/lib/3rdparty/qtsingleapplication/qtlocalpeer.cpp 2015-05-07 18:33:04.942404927 +0200
+@@ -39,6 +39,7 @@
+ ****************************************************************************/
+
+
++#include <QDataStream>
+ #include "qtlocalpeer.h"
+ #include <QCoreApplication>
+ #include <QTime>
diff --git a/www-client/qupzilla/metadata.xml b/www-client/qupzilla/metadata.xml
new file mode 100644
index 00000000000..dc9f533034c
--- /dev/null
+++ b/www-client/qupzilla/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>qt</herd>
+ <use>
+ <flag name="nonblockdialogs">Enable fancy non-blocking JavaScript dialogs
+ shown inside the page, not blocking the application window. When closing
+ browser windows with open dialogs, this can crash the application.
+ </flag>
+ </use>
+ <upstream>
+ <remote-id type="github">QupZilla/qupzilla-plugins</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/www-client/qupzilla/qupzilla-1.8.6-r1.ebuild b/www-client/qupzilla/qupzilla-1.8.6-r1.ebuild
new file mode 100644
index 00000000000..21a113eef9f
--- /dev/null
+++ b/www-client/qupzilla/qupzilla-1.8.6-r1.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+MY_PN="QupZilla"
+MY_P=${MY_PN}-${PV}
+PLOCALES="ar_SA bg_BG ca_ES cs_CZ de_DE el_GR es_ES es_MX es_VE eu_ES fa_IR fi_FI fr_FR gl_ES he_IL hr_HR hu_HU id_ID it_IT ja_JP ka_GE lg lv_LV nl_NL nqo pl_PL pt_BR pt_PT ro_RO ru_RU sk_SK sr sr@ijekavian sr@ijekavianlatin sr@latin sv_SE tr_TR uk_UA uz@Latn zh_CN zh_TW"
+PLUGINS_HASH='1f8122da27362ae14a6e3c029830b51e9bac03be'
+PLUGINS_VERSION='2015.01.27' # if there are no updates, we can use the older archive
+
+inherit eutils l10n multilib qmake-utils vcs-snapshot
+
+DESCRIPTION="Qt WebKit web browser"
+HOMEPAGE="http://www.qupzilla.com/"
+SRC_URI="https://github.com/${MY_PN}/${PN}/releases/download/v${PV}/${MY_P}.tar.xz
+ https://github.com/${MY_PN}/${PN}-plugins/archive/${PLUGINS_HASH}.tar.gz -> ${PN}-plugins-${PLUGINS_VERSION}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="dbus debug gnome-keyring kde nonblockdialogs +qt4 qt5"
+REQUIRED_USE="^^ ( qt4 qt5 )
+ kde? ( qt4 )"
+
+RDEPEND="dev-libs/openssl:0
+ x11-libs/libX11
+ gnome-keyring? ( gnome-base/gnome-keyring )
+ kde? ( kde-base/kdelibs:4
+ kde-apps/kwalletd:4 )
+ qt4? ( >=dev-qt/qtcore-4.8:4
+ >=dev-qt/qtgui-4.8:4
+ >=dev-qt/qtscript-4.8:4
+ >=dev-qt/qtsql-4.8:4[sqlite]
+ >=dev-qt/qtwebkit-4.8:4
+ dbus? ( >=dev-qt/qtdbus-4.8:4 ) )
+ qt5? ( dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtconcurrent:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtscript:5
+ dev-qt/qtsql:5[sqlite]
+ dev-qt/qtwebkit:5
+ dbus? ( dev-qt/qtdbus:5 ) )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ qt5? ( dev-qt/linguist-tools:5 )"
+
+DOCS=( AUTHORS CHANGELOG FAQ README.md )
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ rm_loc() {
+ # remove localizations the user has not specified
+ sed -i -e "/${1}.ts/d" translations/translations.pri || die
+ rm translations/${1}.ts || die
+ }
+
+ # patch bundled but changed QTSA for Qt-5.5, see bugs 548470 and 489142
+ epatch "${FILESDIR}"/qtsingleapplication-QDataStream.patch
+
+ epatch_user
+
+ # remove outdated prebuilt localizations
+ rm -rf bin/locale || die
+
+ # remove empty locale
+ rm translations/empty.ts || die
+
+ # get extra plugins into qupzilla build tree
+ mv "${WORKDIR}"/${PN}-plugins-${PLUGINS_VERSION}/plugins/* "${S}"/src/plugins/ || die
+
+ l10n_find_plocales_changes "translations" "" ".ts"
+ l10n_for_each_disabled_locale_do rm_loc
+}
+
+src_configure() {
+ # see BUILDING document for explanation of options
+ export \
+ QUPZILLA_PREFIX="${EPREFIX}/usr/" \
+ USE_LIBPATH="${EPREFIX}/usr/$(get_libdir)" \
+ USE_QTWEBKIT_2_2=true \
+ DISABLE_DBUS=$(usex dbus '' 'true') \
+ KDE_INTEGRATION=$(usex kde 'true' '') \
+ NONBLOCK_JS_DIALOGS=$(usex nonblockdialogs 'true' '')
+
+ if use qt4 ; then
+ eqmake4 $(use gnome-keyring && echo "DEFINES+=GNOME_INTEGRATION")
+ else
+ eqmake5 $(use gnome-keyring && echo "DEFINES+=GNOME_INTEGRATION")
+ fi
+}
+
+src_install() {
+ emake INSTALL_ROOT="${D}" install
+ einstalldocs
+}
+
+pkg_postinst() {
+ if has_version www-plugins/adobe-flash; then
+ ewarn "For using adobe flash plugin you may need to run"
+ ewarn " \"paxctl-ng -m /usr/bin/qupzilla\""
+ fi
+}
diff --git a/www-client/qupzilla/qupzilla-1.8.6.ebuild b/www-client/qupzilla/qupzilla-1.8.6.ebuild
new file mode 100644
index 00000000000..f125b456a42
--- /dev/null
+++ b/www-client/qupzilla/qupzilla-1.8.6.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+MY_PN="QupZilla"
+MY_P=${MY_PN}-${PV}
+PLOCALES="ar_SA bg_BG ca_ES cs_CZ de_DE el_GR es_ES es_MX es_VE eu_ES fa_IR fi_FI fr_FR gl_ES he_IL hr_HR hu_HU id_ID it_IT ja_JP ka_GE lg lv_LV nl_NL nqo pl_PL pt_BR pt_PT ro_RO ru_RU sk_SK sr sr@ijekavian sr@ijekavianlatin sr@latin sv_SE tr_TR uk_UA uz@Latn zh_CN zh_TW"
+PLUGINS_HASH='1f8122da27362ae14a6e3c029830b51e9bac03be'
+PLUGINS_VERSION='2015.01.27' # if there are no updates, we can use the older archive
+
+inherit eutils l10n multilib qmake-utils vcs-snapshot
+
+DESCRIPTION="Qt WebKit web browser"
+HOMEPAGE="http://www.qupzilla.com/"
+SRC_URI="https://github.com/${MY_PN}/${PN}/releases/download/v${PV}/${MY_P}.tar.xz
+ https://github.com/${MY_PN}/${PN}-plugins/archive/${PLUGINS_HASH}.tar.gz -> ${PN}-plugins-${PLUGINS_VERSION}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 ~arm x86"
+IUSE="dbus debug gnome-keyring kde nonblockdialogs +qt4 qt5"
+REQUIRED_USE="^^ ( qt4 qt5 )
+ kde? ( qt4 )"
+
+RDEPEND="dev-libs/openssl:0
+ x11-libs/libX11
+ gnome-keyring? ( gnome-base/gnome-keyring )
+ kde? ( kde-base/kdelibs:4
+ kde-apps/kwalletd:4 )
+ qt4? ( >=dev-qt/qtcore-4.8:4
+ >=dev-qt/qtgui-4.8:4
+ >=dev-qt/qtscript-4.8:4
+ >=dev-qt/qtsql-4.8:4[sqlite]
+ >=dev-qt/qtwebkit-4.8:4
+ dbus? ( >=dev-qt/qtdbus-4.8:4 ) )
+ qt5? ( dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtconcurrent:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtscript:5
+ dev-qt/qtsql:5[sqlite]
+ dev-qt/qtwebkit:5
+ dbus? ( dev-qt/qtdbus:5 ) )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ qt5? ( dev-qt/linguist-tools:5 )"
+
+DOCS=( AUTHORS CHANGELOG FAQ README.md )
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ rm_loc() {
+ # remove localizations the user has not specified
+ sed -i -e "/${1}.ts/d" translations/translations.pri || die
+ rm translations/${1}.ts || die
+ }
+
+ epatch_user
+
+ # remove outdated prebuilt localizations
+ rm -rf bin/locale || die
+
+ # remove empty locale
+ rm translations/empty.ts || die
+
+ # get extra plugins into qupzilla build tree
+ mv "${WORKDIR}"/${PN}-plugins-${PLUGINS_VERSION}/plugins/* "${S}"/src/plugins/ || die
+
+ l10n_find_plocales_changes "translations" "" ".ts"
+ l10n_for_each_disabled_locale_do rm_loc
+}
+
+src_configure() {
+ # see BUILDING document for explanation of options
+ export \
+ QUPZILLA_PREFIX="${EPREFIX}/usr/" \
+ USE_LIBPATH="${EPREFIX}/usr/$(get_libdir)" \
+ USE_QTWEBKIT_2_2=true \
+ DISABLE_DBUS=$(usex dbus '' 'true') \
+ KDE_INTEGRATION=$(usex kde 'true' '') \
+ NONBLOCK_JS_DIALOGS=$(usex nonblockdialogs 'true' '')
+
+ if use qt4 ; then
+ eqmake4 $(use gnome-keyring && echo "DEFINES+=GNOME_INTEGRATION")
+ else
+ eqmake5 $(use gnome-keyring && echo "DEFINES+=GNOME_INTEGRATION")
+ fi
+}
+
+src_install() {
+ emake INSTALL_ROOT="${D}" install
+ einstalldocs
+}
+
+pkg_postinst() {
+ if has_version www-plugins/adobe-flash; then
+ ewarn "For using adobe flash plugin you may need to run"
+ ewarn " \"paxctl-ng -m /usr/bin/qupzilla\""
+ fi
+}